# Record Class CLNSuperCompressionMethodCustom

java.lang.Object
java.lang.Record
com.io7m.calino.api.CLNSuperCompressionMethodCustom

Record Components:
  `descriptor` - The supercompression descriptor
  `compressionSectionIdentifier` - The identifier of the section containing data required to decompress data

All Implemented Interfaces:
  `CLNDescribableType, CLNSuperCompressionMethodType`

public record CLNSuperCompressionMethodCustom(String descriptor, long compressionSectionIdentifier) extends Record implements CLNSuperCompressionMethodType
A custom supercompression method.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CLNSuperCompressionMethodCustom(String descriptor, long compressionSectionIdentifier)`
  A custom supercompression method.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `compressionSectionIdentifier()`
  Returns the value of the `compressionSectionIdentifier` record component.
  `String`
  `descriptor()`
  Returns the value of the `descriptor` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CLNSuperCompressionMethodCustom

    public CLNSuperCompressionMethodCustom(String descriptor, long compressionSectionIdentifier)
    A custom supercompression method.
    Parameters:
      `descriptor` - The supercompression descriptor
      `compressionSectionIdentifier` - The identifier of the section containing data required to decompress data

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with the `compare` method from their corresponding wrapper classes.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### descriptor

    public String descriptor()
    Returns the value of the `descriptor` record component.
    Specified by:
      `descriptor` in interface `CLNDescribableType`
    Returns:
      the value of the `descriptor` record component

  - ### compressionSectionIdentifier

    public long compressionSectionIdentifier()
    Returns the value of the `compressionSectionIdentifier` record component.
    Specified by:
      `compressionSectionIdentifier` in interface `CLNSuperCompressionMethodType`
    Returns:
      the value of the `compressionSectionIdentifier` record component